#!/bin/sh
echo ============ residue-class-ring.rb&&
ruby residue-class-ring.rb&&
echo ============ localized-ring.rb&&
ruby localized-ring.rb&&
echo ============ algebraic-parser.rb&&
ruby algebraic-parser.rb&&
echo ============ ruby polynomial.rb&&
ruby polynomial.rb&&
echo ============ ruby m-polynomial.rb&&
ruby m-polynomial.rb&&
echo ============ ruby groebner-basis.rb&&
ruby groebner-basis.rb&&
echo ============ ruby groebner-basis-coeff.rb&&
ruby groebner-basis-coeff.rb&&
echo ============ ruby polynomial-converter.rb&&
ruby polynomial-converter.rb&&
echo ============ ruby matrix-algebra.rb
ruby matrix-algebra.rb
echo ============ ruby work/test-cayley-hamilton.rb 3&&
ruby work/test-cayley-hamilton.rb 3&&
echo ============ ruby work/test-groebner-basis.rb -1&&
ruby work/test-groebner-basis.rb -1&&
echo ============ ruby work/test-groebner-basis.rb 0&&
ruby work/test-groebner-basis.rb 0&&
echo ============ ruby work/test-groebner-basis.rb 11&&
ruby work/test-groebner-basis.rb 11&&
echo ============ ruby polynomial-factor.rb&&
ruby polynomial-factor.rb&&
echo ============ ruby polynomial-factor-zp.rb&&
ruby polynomial-factor-zp.rb&&
echo ============ ruby polynomial-factor-int.rb&&
ruby polynomial-factor-int.rb&&
echo ============ ruby polynomial-factor-alg.rb 0 0&&
ruby polynomial-factor-alg.rb 0 0&&
echo ============ ruby polynomial-factor-alg.rb 0 1 3&&
ruby polynomial-factor-alg.rb 0 1 3&&
echo ============ ruby m-polynomial-factor.rb&&
ruby m-polynomial-factor.rb&&
echo ============ ruby m-polynomial-factor-zp.rb&&
ruby m-polynomial-factor-zp.rb&&
echo ============ ruby m-polynomial-factor-int.rb&&
ruby m-polynomial-factor-int.rb&&
#echo ============ ruby algebra-equation.rb&&
#ruby algebraic-equation.rb&&
#echo ============ ruby linear-algebra.rb&&
#ruby linear-algebra.rb&&
echo ============ All tests succeeded
